Process Credit Card Refund
Refunds a previously completed credit card transaction. Returns the specified amount back to the original payment method. This is typically used to return funds to the customer for a purchase that has already been settled.
- Type: stringx
-application Source requiredA custom HTTP header that accepts a free-form string value. It is used to identify the application making the API request. For example, if Punchh invokes the API, the value could be "punchh".
- Type: stringX
- Location Id requiredThe unique location identifier for the store or business location processing the transaction.
- Type: stringContent
- Type requiredThe media type of the request body. Must be set to
application/json. - Type: stringAuthorizationrequired
Bearer token for API authorization. Send in the format:
Bearer ACCESS_TOKEN_GOES_HERE.
Request details for refund transaction
- Type: stringpar
Pay Transaction Id min length:1requiredA unique identifier for the transaction being cancelled.
- Type: object ·transaction
Amount Details required - Type: string Format: date-timetransaction
Date Time U T C requiredThe transaction date and time in UTC format.
- Type: string | null Format: date-timetransaction
Date Time Local The transaction date and time in local format.
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.partech.com/creditcard/v1/refund \
--request POST \
--header 'x-applicationSource: ' \
--header 'X-LocationId: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--data '{
"parPayTransactionId": "TRANSACTION_ID_GOES_HERE",
"transactionAmountDetails": {
"taxAmount": 0,
"discount": 0,
"productTotalAmount": 0,
"totalAmount": 10000,
"tip": null
},
"transactionDateTimeUTC": "2026-03-06T11:28:29.7134138Z",
"transactionDateTimeLocal": "2026-03-06T11:28:29.713"
}'
{
"transactionAmount": "1000.00",
"parPayTransactionId": "TRANSACTION_ID_GOES_HERE",
"statusMessage": "Succeeded!",
"transactionDateTimeUTC": "2026-03-06T11:28:29.7134799Z",
"status": "Success"
}